using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 事件类型表
    /// </summary>
    [Description("事件类型表")]
    public class T_CM_EVENT_TYPE : MesEntityBase
    {
        /// <summary>
        /// 事件类型编号
        /// </summary>
        [Description("事件类型编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [CUnique]
        [CodeRule((int)PFCodeRuleType.应急管理)]
        public string CODE { get; set; }

        /// <summary>
        /// 事件类型名称
        /// </summary>
        [Description("事件类型名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }
    }
}
